%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr
%define version 0.5.0
%define kderelease 5

%define kdename  kcmbind
Name: %{kdename}
Summary: A KDE based GUI for managing your network's DNS configuration.
Version: %{version}
Release: %{kderelease}
Serial: 2
Source: ftp://www.100webstreet.com/pub/kde/kcmbind/%{kdename}-%{version}.tgz
License: GPL
URL: http://www.100webstreet.com/kcmbind/
Group: Applications/System
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: kdesupport
Prefix: %{kdeprefix}

%description
KcmBind is a GUI front-end for configuring bind, developed for the K
Desktop Environment (KDE).  KcmBind provides an interface that is
light years ahead of directly editing the bind configuration files and
makes DNS administration a possibility for mere mortals.  You'll need
to have X and KDE installed to use KcmBind.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{kdename}

%build
export QTDIR=%{qtdir} KDEDIR=%{prefix} kde_htmldir=%{prefix}/doc/kde/HTML
autoconf
%configure \
	--prefix=%{kdeprefix} \
	--exec_prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--with-extra-includes=/usr/include/kde

make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -I/usr/include/kde"

%install
make kde_htmldir=$RPM_BUILD_ROOT%{prefix}/doc/kde/HTML install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix} \
	exec_prefix=$RPM_BUILD_ROOT%{kdeprefix}

%clean
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root)
/usr/bin/kcmbind
/usr/share/applnk/Settings/Network/bind.kdelnk
/usr/share/locale/*/*/*
/usr/doc/kde/HTML/en/kcontrol/kcmbind

%changelog
* Wed Feb 23 2000 Tim Powers <timp@redhat.com>
- fixed the kde_htmldir stuff for real.
- why use a file for the file list? Claiming ownership of dirs that really
	aren't owned by this package can potentially be bad. Fixed.

* Tue Feb 22 2000 Preston Brown <pbrown@redhat.com>
- fix kde_htmldir

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Qt 1.45

* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- rebuild w/new Qt paths for Powertools 6.1

* Thu Apr 22 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0
